import pygame
from pygame.locals import *
from sys import exit
from random import *

pygame.init()

screen = pygame.display.set_mode((800,600), 0, 32)
pygame.display.set_caption("Using Font")

fonts = {}
for size in range(10,120):
    fonts[size] = pygame.font.SysFont("Times New Roman", size)

paper = pygame.Surface((800,600), 0, 32)
paper.fill((255,255,255))

while True:
    for event in pygame.event.get():
        if event.type == QUIT:
            exit()
        if event.type == MOUSEBUTTONDOWN:
            if event.button == 1:
                color = randint(0,255), randint(0,255), randint(0,255)
                character = chr(randint(65,90))
                char_surface = fonts[randint(10,119)].render(character, True, color)
                x = event.pos[0] - char_surface.get_width()/2 
                y = event.pos[1] - char_surface.get_height()/2 
                paper.blit(char_surface, (x,y))
    
    screen.blit(paper, (0,0))
    
    pygame.display.update()                